function c=mphgetcoords(model, geomtag, entity, numbers)
% MPHGETCOORDS Return point coordinates of geometry entities
% 
%   C = MPHGETCOORDS(MODEL,GEOMTAG,ENTITYTYPE,ENTITYNUMBER) returns the 
%   coordinates of the points that belong to entity object with the type 
%   ENTITYTYPE and the index ENTITYNUMBER.
% 
%   The ENTITYTYPE property can be one of 'point', 'edge', 'boundary' or
%   'domain'. See the entry MPHGETCOORDS in the LiveLink for MATLAB User's
%   Guide for more information about the entity type definition.
%
%
%   Example : 
%     % Load model_tutorial_llmatlab.mph:
%     model = mphopen('model_tutorial_llmatlab');
%     % Return the coordinates of points that belong to domain 2:
%     c0 = mphgetcoords(model, 'geom1', 'domain', 2)
%
%     % Return the coordinates of points that belong to boundary 5:
%     c1 = mphgetcoords(model, 'geom1', 'boundary', 5)
%
%     % Return the coordinates of point number 10:
%     c2 = mphgetcoords(model, 'geom1', 'point', 10)
% 
%   See also: mphgetadj, mphselectbox, mphselectcoords

%   Copyright 2010-2019 COMSOL
