function data=mphgetmethods(node, varargin)
% MPHGETMETHODS Get information about methods
%
%   m = mphgetmethods(node) returns names of the methods that can be called
%   on a node. Some of the unimportant methods names are removed from the 
%   returned list by default (e.g. 'wait').
%
%   m = mphgetmethods(node, options...) uses the options that are specified.
%
%   m is a cell array where the first column contains the method name and 
%   the second column contains the value for methods that can be called 
%   without argument and which return simple data types (Strings and 
%   numbers).
%
%   Options:
%   filter         {'off'} | 'on'   Filter methods away that do not return
%                                   simple data types
%   showall        {'off'} | 'on'   Show all methods (e.g. also 'wait')
%   fullmethodcall {'off'} | 'on'   Add a third column with the full
%                                   argument list for the method.
%
%   Example:
%     m = mphgetmethods(model.sol('sol1'))
%
%   See also: mphgetproperties, mphgetmodel

% Copyright 2011-2019 COMSOL
