function [prop,allowedprop]=mphgetproperties(p, sel, propnames)
% MPHGETPROPERTIES Get the properties from a model node
%
%   STR = MPHGETPROPERTIES(MODELNODE) returns the structure STR containing 
%   the properties that are defined for the node MODELNODE.
%
%   [STR, ALLOWED] = MPHGETPROPERTIES(MODELNODE) also returns the structure 
%   ALLOWED containing the allowed values for corresponding properties.
%
%   Example:
%     % Load model_tutorial_llmatlab.mph:
%     model = mphopen('model_tutorial_llmatlab');
%     % Build the mesh
%     model.mesh('mesh1').run;
%     % Get the mesh size properties
%     str = mphgetproperties(model.mesh('mesh1').feature('size'))
%     % Get the mesh size properties and their allowed values:
%     str = mphgetproperties(model.mesh('mesh1').feature('size'))
%
%   See also: mphgetproperties, mphgetselection, mphmodel, mphnavigator, 
%   mphsearch

%   Copyright 2011-2019 COMSOL
