function mphsave(model, varargin)
% MPHSAVE Save a COMSOL model
%
%   MPHSAVE(MODEL) saves the COMSOL model object MODEL.
%
%   MPHSAVE(MODEL,FILENAME) saves the COMSOL model object MODEL to the file
%   named FILENAME.
%
%   MPHSAVE(MODEL,FILENAME,...) uses the following properties
%
%   Valid property/value pairs include:
%   Property   Value/{Default}          Description
%   -----------------------------------------------------------------------
%   Optimize   'speed' | 'size'         Optimize MPH-files for speed or size
%   Component  {'off'} | 'on'           Save M-file using component syntax
%
%   If the file name is not provided, the model has to be saved previously.
%   If the file name does not include a path, the file is saved relatively to
%   the current path in MATLAB.
%   The model can be saved as an MPH-file, Java-file, VBA-file or M-file. The
%   file extension determines which format that is saved.
%
%   See also: mphopen, mphload

%   Copyright 2011-2019 COMSOL
