function varargout = reportgui(varargin)
% REPORTGUI MATLAB code for reportgui.fig
%      REPORTGUI, by itself, creates a new REPORTGUI or raises the existing
%      singleton*.
%
%      H = REPORTGUI returns the handle to a new REPORTGUI or the handle to
%      the existing singleton*.
%
%      REPORTGUI('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in REPORTGUI.M with the given input arguments.
%
%      REPORTGUI('Property','Value',...) creates a new REPORTGUI or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before reportgui_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to reportgui_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help reportgui

% Last Modified by GUIDE v2.5 16-Nov-2019 10:56:33

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @reportgui_OpeningFcn, ...
                   'gui_OutputFcn',  @reportgui_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before reportgui is made visible.
function reportgui_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to reportgui (see VARARGIN)

% Choose default command line output for reportgui
handles.output = hObject;

model = varargin{1};
reports = cell(model.result.report.tags);
set(handles.list_name, 'string', reports)
handles.model = model;
updategui(handles)

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes reportgui wait for user response (see UIRESUME)
uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = reportgui_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
if isstruct(handles)
    varargout{1} = handles.output;
    close(handles.figure1)
else
    varargout{1} = [];
end


function updategui(handles)

rep = getfromlist(handles.list_name);
obj = handles.model.result.report(rep);
if strcmp(obj.getString('format'), 'html')
    set(handles.list_format, 'value', 1)
else
    set(handles.list_format, 'value', 2)
end

fn = char(obj.getString('filename'));
set(handles.edit_filename, 'string', fn, 'tooltip', fn)

set(handles.check_openfinished, 'value', obj.getBoolean('openwhenfinished'))



% --- Executes on button press in btn_cancel.
function btn_cancel_Callback(hObject, eventdata, handles)
% hObject    handle to btn_cancel (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

close(gcbf)


% --- Executes on button press in btn_ok.
function btn_ok_Callback(hObject, eventdata, handles)
% hObject    handle to btn_ok (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

o.filename = get(handles.edit_filename, 'string');
if isempty(o.filename)
    errordlg('Filename is empty', 'Run report')
    return
end
format = getfromlist(handles.list_format);
if strcmpi(format, 'html')
    o.format = 'html';
else
    o.format = 'docx';
end
o.openfinished = bool2txt(get(handles.check_openfinished, 'value'));
[o.name,o.nameidx] = getfromlist(handles.list_name);
handles.output = o;
guidata(handles.figure1, handles);
uiresume(handles.figure1)


function [txt,idx]=getfromlist(h)

idx = get(h, 'value');
txts = get(h, 'string');
txt = txts{idx};


function txt=bool2txt(b)

if b
    txt = 'on';
else
    txt = 'off';
end


% --- Executes on selection change in list_format.
function list_format_Callback(hObject, eventdata, handles)
% hObject    handle to list_format (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns list_format contents as cell array
%        contents{get(hObject,'Value')} returns selected item from list_format


% --- Executes during object creation, after setting all properties.
function list_format_CreateFcn(hObject, eventdata, handles)
% hObject    handle to list_format (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in check_openfinished.
function check_openfinished_Callback(hObject, eventdata, handles)
% hObject    handle to check_openfinished (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of check_openfinished


% --- Executes on selection change in list_name.
function list_name_Callback(hObject, eventdata, handles)
% hObject    handle to list_name (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns list_name contents as cell array
%        contents{get(hObject,'Value')} returns selected item from list_name

updategui(handles)


% --- Executes during object creation, after setting all properties.
function list_name_CreateFcn(hObject, eventdata, handles)
% hObject    handle to list_name (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: listbox controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in check_alwaysask.
function check_alwaysask_Callback(hObject, eventdata, handles)
% hObject    handle to check_alwaysask (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of check_alwaysask


% --- Executes on button press in btn_browse.
function btn_browse_Callback(hObject, eventdata, handles)
% hObject    handle to btn_browse (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% !!!! support DOCX
[filename,pathname] = uiputfile({'*.html' 'HTML Files'}, 'Report filename')

if isnumeric(filename)
    return
end

fn = fullfile(pathname, filename);
set(handles.edit_filename, 'string', fn, 'tooltip', fn);
